<template>
  <header class="base-header">
    <div class="wrapper base-header__wrapper">
      <RouterLink to="/" class="base-header__logo">
        <img
          src="@/assets/Logo.svg"
          class="base-header__logo__image"
          alt="logo"
        />
      </RouterLink>
      <nav>
        <ul class="base-header__links">
          <li><NavLink hash="about">About us</NavLink></li>
          <li><NavLink hash="projects">Projects</NavLink></li>
          <li><NavLink hash="news">News</NavLink></li>
          <li><NavLink hash="contact">Contact</NavLink></li>
        </ul>
      </nav>
      <div class="base-header__social-buttons">
        <CircleLink path="https://facebook.com">
          <i
            class="fa-brands fa-facebook-f base-header__social-buttons__icon"
          ></i>
        </CircleLink>
        <CircleLink path="https://twitter.com">
          <i class="fa-brands fa-twitter base-header__social-buttons__icon"></i>
        </CircleLink>
        <CircleLink path="https://instagram.com">
          <i
            class="fa-brands fa-instagram base-header__social-buttons__icon"
          ></i>
        </CircleLink>
      </div>
    </div>
  </header>
</template>

<script lang="ts">
import NavLink from "@/components/NavLink.vue";
import CircleLink from "@/components/CircleLink.vue";
import { Component, Vue } from "vue-property-decorator";

@Component({
  components: { NavLink, CircleLink },
})
export default class BaseHeader extends Vue {}
</script>

<style lang="scss" scoped>
.base-header {
  position: absolute;
  width: 100%;
  top: 53px;
  z-index: 3;

  &__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__logo {
    display: block;
    margin-right: 34px;

    &__image {
      display: block;
    }
  }

  &__links {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 70px;
    list-style-type: none;
  }

  &__social-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;

    &__icon {
      color: $white;
      display: block;
    }
  }
}
</style>
